GDBserver

Functions
btrace-common.c File Reference
`#include "common-defs.h"`
`#include "btrace-common.h"`

Go to the source code of this file.

## Functions
const char * | btrace_format_string (enum btrace_format format)
const char * | btrace_format_short_string (enum btrace_format format)
void | btrace_data_init (struct btrace_data *data)
void | btrace_data_fini (struct btrace_data *data)
int | btrace_data_empty (struct btrace_data *data)
void | btrace_data_clear (struct btrace_data *data)
int | btrace_data_append (struct btrace_data *dst, const struct btrace_data *src)

## Function Documentation

## ◆ btrace_data_append()

int btrace_data_append | ( | struct btrace_data * | dst,
|  | const struct btrace_data * | src
| ) |  |

Definition at line 127 of file btrace-common.c.

References _, BTRACE_FORMAT_BTS, BTRACE_FORMAT_NONE, BTRACE_FORMAT_PT, btrace_data::bts, btrace_data_pt::data, btrace_data::format, internal_error(), btrace_data::pt, btrace_data_pt::size, btrace_data::variant, VEC_index, VEC_length, VEC_safe_push, xfree(), and xmalloc().

## ◆ btrace_data_clear()

void btrace_data_clear | ( | struct btrace_data * | data | ) |

Definition at line 118 of file btrace-common.c.

References btrace_data_fini(), and btrace_data_init().

## ◆ btrace_data_empty()

int btrace_data_empty | ( | struct btrace_data * | data | ) |

Definition at line 98 of file btrace-common.c.

References _, BTRACE_FORMAT_BTS, BTRACE_FORMAT_NONE, BTRACE_FORMAT_PT, btrace_data::bts, btrace_data::format, internal_error(), btrace_data::pt, btrace_data_pt::size, btrace_data::variant, and VEC_empty.

## ◆ btrace_data_fini()

void btrace_data_fini | ( | struct btrace_data * | data | ) |

Definition at line 75 of file btrace-common.c.

References _, BTRACE_FORMAT_BTS, BTRACE_FORMAT_NONE, BTRACE_FORMAT_PT, btrace_data::bts, btrace_data_pt::data, btrace_data::format, internal_error(), btrace_data::pt, btrace_data::variant, VEC_free, and xfree().

Referenced by btrace_data_clear().

## ◆ btrace_data_init()

void btrace_data_init | ( | struct btrace_data * | data | ) |

Definition at line 67 of file btrace-common.c.

References BTRACE_FORMAT_NONE, and btrace_data::format.

Referenced by btrace_data_clear().

## ◆ btrace_format_short_string()

const char* btrace_format_short_string | ( | enum btrace_format | format | ) |

Definition at line 47 of file btrace-common.c.

References _, BTRACE_FORMAT_BTS, BTRACE_FORMAT_NONE, BTRACE_FORMAT_PT, and internal_error().

## ◆ btrace_format_string()

const char* btrace_format_string | ( | enum btrace_format | format | ) |

Definition at line 27 of file btrace-common.c.

References _, BTRACE_FORMAT_BTS, BTRACE_FORMAT_NONE, BTRACE_FORMAT_PT, and internal_error().